## qt6-remoteobjects 6.2.4

=== tools/CMakeLists.txt ===
# Generated from tools.pro.

if(QT_FEATURE_commandlineparser)
    add_subdirectory(repc)
endif()
