=== examples/remoteobjects/ssl/CMakeLists.txt ===
# Generated from ssl.pro.

qt_internal_add_example(sslserver)
qt_internal_add_example(sslcppclient)
