=== tests/auto/integration_external/CMakeLists.txt ===

add_subdirectory(client)
add_subdirectory(server)
add_subdirectory(external)
