=== debian/changelog ===
qt6-remoteobjects (6.2.4-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Lu YaNing <dluyaning@gmail.com>  Thu, 31 Mar 2022 13:34:25 +0000

qt6-remoteobjects (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:44:40 +0100

qt6-remoteobjects (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 09:04:01 +0100

qt6-remoteobjects (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999892)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 08:11:29 +0100
