=== src/remoteobjectsqml/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,5 @@
         Qt::Core
         Qt::Gui
         Qt::Qml
-        Qt::QmlPrivate
         Qt::RemoteObjects
 )
