=== src/repparser/CMakeLists.txt ===

#####################################################################
## RepParser Module:
#####################################################################

qt_internal_add_module(RepParser
    HEADER_MODULE
    PUBLIC_LIBRARIES
        Qt::Core
)

qt_internal_module_info(module RepParser)
qt_path_join(parser_install_dir "${QT_INSTALL_DIR}" "${INSTALL_INCLUDEDIR}" "${module}")

qt_copy_or_install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/parser.g" DESTINATION "${parser_install_dir}")
