=== tools/repc/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     PUBLIC_LIBRARIES
         Qt::CorePrivate
 )
+qt_internal_return_unless_building_tools()
 
 # QLALR Grammars:
 qt_process_qlalr(
