=== examples/remoteobjects/cppclient/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(CppClient LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/remoteobjects/cppclient")

find_package(Qt6 REQUIRED COMPONENTS Core RemoteObjects)

qt_add_executable(CppClient
    main.cpp
)

set_target_properties(CppClient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE FALSE
)

target_link_libraries(CppClient PUBLIC
    Qt::Core
    Qt::RemoteObjects
)

qt6_add_repc_replicas(CppClient
    timemodel.rep
)

install(TARGETS CppClient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
