=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-remoteobjects
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,17 +11,16 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-connectivity-dev (>= 6.6.1~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
                qt6-remoteobjects-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-remoteobjects
@@ -41,19 +39,6 @@
  information exchange between processes or computers.
  .
  This package contains the shared library for Qt Remote Objects.
-
-Package: libqt6remoteobjectsqml6
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Remote Objects QML library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- Qt Remote Objects extends Qt's existing functionalities to enable
- information exchange between processes or computers.
- .
- This package contains the shared library for Qt Remote Objects QML.
 
 Package: libqt6remoteobjects6-bin
 Architecture: any
@@ -78,6 +63,8 @@
 Depends: qml6-module-qtquick (>= 6.4.1+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libqt6remoteobjectsqml6,
+Replaces: libqt6remoteobjectsqml6,
 Description: Qt 6 Remote Objects QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -93,7 +80,6 @@
 Multi-Arch: same
 Depends: libqt6remoteobjects6 (= ${binary:Version}),
          libqt6remoteobjects6-bin (= ${binary:Version}),
-         libqt6remoteobjectsqml6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Remote Objects - development files
