=== debian/changelog ===
qt6-remoteobjects (6.6.2-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Limit the qt6-connectivity-dev build dependency as linux-any, as that
    module is buildable only on Linux.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jul 2024 07:02:07 +0200

qt6-remoteobjects (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:34:31 +0200

qt6-remoteobjects (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 13:58:13 +0100

qt6-remoteobjects (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Dec 2023 00:13:33 +0100

qt6-remoteobjects (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6remoteobjectsqml6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Dec 2023 21:41:17 +0100
